// THIS PROGRAM RUNS PROCEDURES FOR IMPACT PAPER's Reproduceability Package///
// DATE CREATED: 2024-11-25
// GVC EXPOSURE INDICATOR FOR THE EU
// AUTHOR: Euijin Jung (ejung1@worldbank.org)

*************************************************************************

clear all
set more off
global main "C:\Temp\Reproducibility Package of Exposure to Climate Policies paper_final"
global wb_class "$main\Data\ISO_Region_Income.dta"
global sector "$main\Data\sec_des.dta"
set varabbrev on

use "$main\Data\GVC.dta"

********AGGREGATE IMPORTERS INTO EU AND NON-EU************
gen eu=0
replace eu=1 if j_c=="aut" | j_c =="bel" | j_c =="bgr" | j_c =="hrv"| j_c =="cyp"| j_c =="cze"| j_c =="dnk"| j_c =="est"| j_c =="fin"| j_c =="fra"| j_c =="deu"| j_c =="grc"| j_c =="hun" | j_c =="irl"| j_c =="ita"| j_c =="lva"| j_c =="ltu"| j_c =="lux"| j_c =="mlt" | j_c =="nld"| j_c =="pol"| j_c =="prt"| j_c =="rou"| j_c =="svk"| j_c =="svn"| j_c =="esp"| j_c =="swe"
rename eu EUmrkt
******* GENERATE GVC EXPOSURE TO EU******
collapse (sum) FPEX FPEXfv FPEXhe, by( i_c EUmrkt i_s)
reshape wide FPEX FPEXfv FPEXhe, i( i_c i_s)j( EUmrkt)
drop FPEX0 FPEXfv0 FPEXhe0

****** IDENTIFY EU EXPORTERS********
gen eu=0
replace eu=1 if i_c=="aut" | i_c =="bel" | i_c =="bgr" | i_c =="hrv"| i_c =="cyp"| i_c =="cze"| i_c =="dnk"| i_c =="est"| i_c =="fin"| i_c =="fra"| i_c =="deu"| i_c =="grc"| i_c =="hun" | i_c =="irl"| i_c =="ita"| i_c =="lva"| i_c =="ltu"| i_c =="lux"| i_c =="mlt" | i_c =="nld"| i_c =="pol"| i_c =="prt"| i_c =="rou"| i_c =="svk"| i_c =="svn"| i_c =="esp"| i_c =="swe"
****** ADD SECTOR DESCRIPTION ******
merge m:1 i_s using "$sector"
keep if _m==3
drop _m broad_sec broad_sec_des
****** ADD COUNTRY NAME AND KEEP DEVELOPING COUNTRIES BY INCOME GROUP******
gen PartnerISO3=upper(i_c)
merge m:1 PartnerISO3 using "$wb_class"
keep if _m==3
drop if PartnerIncomeGroup =="Others"| PartnerIncomeGroup =="High income"
drop _m
bysort eu sec_des: egen rank=rank(- FPEX1),track
so sec_des eu rank

****KEEP TOP 10 COUNTRIES for graphs****
keep if rank<11
drop if eu==1
rename FPEX1 GVC_EU
rename FPEXfv1 Direct
rename FPEXhe1 Indirect
label variable Direct "Direct export to EU"
label variable Indirect "Indirect export to EU"
order PartnerName sec_des rank GVC_EU Direct Indirect
export excel using "$main\Data\GVC Exposure Indicator.xlsx", sheet("GVC",replace) sheetreplace firstrow(variables)